Feil 1638 "en annen versjon av dette programmet er allerede installert" når du installerer lokal konfigurasjonslageret

VIKTIG: Denne artikkelen ble oversatt med maskinoversettelsesprogramvare fra Microsoft og muligens redigert av Microsoft Community via CTF-teknologi i stedet for av en oversetter. Microsoft tilbyr både menneskelig oversatte og maskinoversatte/Community-redigerte artikler, slik at du får tilgang til alle artiklene i vår Knowledge Base på ditt eget språk. En maskinoversatt eller Community-redigert artikkel er imidlertid ikke alltid perfekt. Den kan inneholde feil i vokabular, syntaks eller grammatikk, mye likt en fremmedspråklig som forsøker å snakke språket ditt. Microsoft har ikke ansvar for unøyaktige opplysninger, feil eller skade forårsaket av feilaktig oversettelse av innholdet eller kundenes bruk av informasjonen. Microsoft oppdaterer jevnlig maskinoversettelsesprogramvaren og -verktøyene for å forbedre redigering av maskinoversatte tekster.

Den engelske versjonen av denne artikkelen er den følgende: 3077464
Sjekk ut den forutsetning før du installerer lokal konfigurasjonslageret.
Symptom
Når du kjører Microsoft Skype for Business Server 2015 OpenDeployment Wizard til å installere lokale konfigurasjonslageret på en datamaskin som har Unified Communications administrert API (UCMA) 5.0 SDK er installert, kan ikke installasjonsprogrammet finne plasseringen av Microsoft Skype for Business Server 2015, kjernekomponenter (OCSCore.msi). Du får følgende feilmelding:
INSTALLDIR = "c:\Programfiler\Microsoft Files\Skype for Business Server 2015\")...failure kode 1638
Feilen som ble returnert når du installerer OcsCore.msi(Feature_LocalMgmtStore), kode 1638. Feilmelding: En annen versjon av dette produktet er allerede installert. Kan ikke fortsette installasjonen av denne versjonen. Hvis du vil konfigurere eller fjerne den eksisterende versjonen av dette produktet, kan du bruke Legg til/fjern programmer i Kontrollpanel. Hvis du vil ha mer informasjon, kan du se loggen på C:\Users\ [Bruker] \AppData\Local\Temp\1\Add-OcsCore.msi-Feature_LocalMgmtStore-[Dato][Tid] .log
Årsak
Dette problemet oppstår fordi UCMA 5.0 SDK installerer en nyere versjon av OCSCore.msi enn lokal konfigurasjonslageret. Derfor kan du ikke installere lokale konfigurasjonslageret etter installasjon UCMA 5.0 SDK.
Løsning
Hvis du vil løse dette problemet, følger du en av følgende metoder, avhengig av hvilket scenario du er i, og installere lokal konfigurasjonslageret på datamaskinen:
  • Hvis du ikke har UCMA 5.0 SDK er installert på datamaskinen, gjør du følgende:
    • Kjør installasjonsprogrammet fra full Skype for oppsett av Business Server og installere lokale konfigurasjonslageret.
    • Deretter installUCMA 5.0 SDK.

    Obs!Disse trinnene vil gjøre sikker på at når UCMASdkSetup.exe kjøres, installasjon av OCSCore.msi hoppes over.
  • Hvis du allerede har installert UCMA 5.0 SDK, gjør du følgende:
    • Avinstaller OCSCore.msi som ble installert ved UCMA 5.0 SDK. OCSCore.msi er oppført somSkype for Business Server 2015, kjernekomponenter i Kontrollpanel > programmer > programmer og funksjoner.
    • Kjør installasjonen for lokal konfigurasjonslageret.

    Obs!Hvis du prøver å kjøre Skype for veiviseren for distribusjon av Business-serveren som ble installert ved UCMA 5.0 SDK, velger du full Skype for Business Server installasjon når du blir bedt om banen til MSIer.

Forutsetning

Hvis du vil installere lokale konfigurasjonslageret, må du ha tilgang til full Skype for Business serverinstallasjon 2015.
Mer informasjon
Hvis du vil ha mer informasjon om distribusjonsscenarier for UCMA programmer, se Distribuere UCMA 4.0 og 5.0 for UCMA applikasjoner i en Skype for Business servermiljø 2015.

Advarsel: Denne artikkelen er autooversatt

Egenskaper

Artikkel-ID: 3077464 – Forrige gjennomgang: 07/17/2015 19:15:00 – Revisjon: 1.0

Skype for Business Server 2015

  • kbqfe kbsurveynew kbfix kbexpertiseadvanced kbmt KB3077464 KbMtno
Tilbakemelding